ros-noetic-costmap-cspace (0.17.7-1focal) focal; urgency=high

  * costmap_cspace: prevent map update region out-of-bound (#764 <https://github.com/at-wat/neonavigation/issues/764>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 16 Apr 2025 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.6-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 18 Mar 2025 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 21 Feb 2025 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.4-1focal) focal; urgency=high

  * costmap_cspace: prevent map update region out-of-bound (#748 <https://github.com/at-wat/neonavigation/issues/748>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 20 Jan 2025 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.3-1focal) focal; urgency=high

  * costmap_cspace: publish empty costmap_update on out-of-bound (#743 <https://github.com/at-wat/neonavigation/issues/743>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 25 Dec 2024 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 07 Nov 2024 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 Mar 2024 00:00:00 -0000

ros-noetic-costmap-cspace (0.17.0-1focal) focal; urgency=high

  * costmap_3d: avoid unnecessary grid expansions (#726 <https://github.com/at-wat/neonavigation/issues/726>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Nov 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.16.0-1focal) focal; urgency=high

  * costmap_cspace: add linear_spread_min_cost parameter (#719 <https://github.com/at-wat/neonavigation/issues/719>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 14 Sep 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.15.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 30 Aug 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.14.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 31 Jul 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.14.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 07 Jul 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.14.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 06 Jun 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.13.0-1focal) focal; urgency=high

  * costmap_cspace: export costmap_3d_layers library (#691 <https://github.com/at-wat/neonavigation/issues/691>)
  * costmap_cspace: install all headers (#690 <https://github.com/at-wat/neonavigation/issues/690>)
  * costmap_cspace: added update_chain_entry bool arguement to processMapOverlay function (#689 <https://github.com/at-wat/neonavigation/issues/689>)
  * costmap_cspace: add costmap_3d_layers library (#688 <https://github.com/at-wat/neonavigation/issues/688>)
  * Contributors: ゆうちゃん

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 31 May 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.12.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 28 Feb 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.12.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 25 Feb 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.12.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.8-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 28 Dec 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 05 Aug 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.6-1focal) focal; urgency=high

  * costmap_cspace: fix Costmap3dLayerPlain when its parent is not plain (#641 <https://github.com/at-wat/neonavigation/issues/641>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 20 Jul 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 06 Jul 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.4-1focal) focal; urgency=high

  * Divide output layer class into specific classes (#633 <https://github.com/at-wat/neonavigation/issues/633>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Dec 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 29 Oct 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.11.0-1focal) focal; urgency=high

  * Rename PointcloudAccumurator to PointcloudAccumulator (#608 <https://github.com/at-wat/neonavigation/issues/608>)
  * Apply clang-format-11 with new setting (#605 <https://github.com/at-wat/neonavigation/issues/605>)
  * Contributors: Naotaka Hatao, f-fl0

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 30 Aug 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.11-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Jun 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.10-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.9-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 16 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.8-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 07 Mar 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.6-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 28 Jan 2021 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 24 Dec 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.4-1focal) focal; urgency=high

  * costmap_cspace: make Costmap3dLayerPlain and Costmap3dLayerOutput faster (#562 <https://github.com/at-wat/neonavigation/issues/562>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Nov 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.3-1focal) focal; urgency=high

  * costmap_cspace: make Costmap3dLayerFootprint::generateCSpace faster (#554 <https://github.com/at-wat/neonavigation/issues/554>)
  * costmap_cspace: add test for keeping unknown mode (#555 <https://github.com/at-wat/neonavigation/issues/555>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.2-1focal) focal; urgency=high

  * costmap_cspace: enable func to remove objects out of z range (#551 <https://github.com/at-wat/neonavigation/issues/551>)
  * Contributors: Tatsuroh Sakaguchi

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Oct 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 26 Aug 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.10.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 06 Aug 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.9.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 16 Jul 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.9.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 02 Jul 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.8-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 15 Jun 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.7-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 22 May 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.6-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 15 May 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.5-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 04 May 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.4-1focal) focal; urgency=high

  * Clean unused dependencies (#472 <https://github.com/at-wat/neonavigation/issues/472>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.3-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sun, 26 Apr 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.2-1focal) focal; urgency=high

  * Support Noetic (#461 <https://github.com/at-wat/neonavigation/issues/461>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.1-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Mar 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.8.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 04 Mar 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.7.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 04 Feb 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.6.0-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 18 Jan 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.5.1-1focal) focal; urgency=high

  * Fix header namespaces (#408 <https://github.com/at-wat/neonavigation/issues/408>)
  * Migrate from C math functions to C++ (#407 <https://github.com/at-wat/neonavigation/issues/407>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 06 Jan 2020 00:00:00 -0000

ros-noetic-costmap-cspace (0.5.0-1focal) focal; urgency=high

  * costmap_cspace: fix unknown handling (#392 <https://github.com/at-wat/neonavigation/issues/392>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 21 Oct 2019 00:00:00 -0000

ros-noetic-costmap-cspace (0.4.3-1focal) focal; urgency=high

  * costmap_cspace: fix memory corruption (#381 <https://github.com/at-wat/neonavigation/issues/381>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 10 Sep 2019 00:00:00 -0000

ros-noetic-costmap-cspace (0.4.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Mon, 19 Aug 2019 00:00:00 -0000

ros-noetic-costmap-cspace (0.4.1-1focal) focal; urgency=high

  * costmap_cspace: fix costmap output for out-of-boundary overlay map (#361 <https://github.com/at-wat/neonavigation/issues/361>)
  * Drop ROS Indigo and Ubuntu Trusty support (#310 <https://github.com/at-wat/neonavigation/issues/310>)
  * Fix include directory priority (#308 <https://github.com/at-wat/neonavigation/issues/308>)
  * planner_cspace, costmap_cspace: minor refactoring (#305 <https://github.com/at-wat/neonavigation/issues/305>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 15 Aug 2019 00:00:00 -0000

ros-noetic-costmap-cspace (0.4.0-1focal) focal; urgency=high

  * costmap_cspace: add const begin/end to PointcloudAccumurator (#294 <https://github.com/at-wat/neonavigation/issues/294>)
  * Contributors: Naotaka Hatao

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 09 May 2019 00:00:00 -0000

ros-noetic-costmap-cspace (0.3.1-1focal) focal; urgency=high

  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * Contributors: Atsushi Watanabe, So Jomura

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-noetic-costmap-cspace (0.2.3-1focal) focal; urgency=high

  * Fix test names (#202 <https://github.com/at-wat/neonavigation/issues/202>)
  * Install sample files and nodes for demo (#201 <https://github.com/at-wat/neonavigation/issues/201>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-noetic-costmap-cspace (0.2.2-1focal) focal; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-noetic-costmap-cspace (0.2.1-1focal) focal; urgency=high

  * Fix missing package dependencies (#194 <https://github.com/at-wat/neonavigation/issues/194>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-noetic-costmap-cspace (0.2.0-1focal) focal; urgency=high

  * Fix build on Indigo (#180 <https://github.com/at-wat/neonavigation/issues/180>)
  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Fix naming styles (#166 <https://github.com/at-wat/neonavigation/issues/166>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * costmap_cspace: add StopPropagation layer (#153 <https://github.com/at-wat/neonavigation/issues/153>)
  * costmap_cspace: install header files (#155 <https://github.com/at-wat/neonavigation/issues/155>)
  * costmap_cspace: fix layer order handling from the parameter (#154 <https://github.com/at-wat/neonavigation/issues/154>)
  * costmap_cspace: clear update region on output layer (#139 <https://github.com/at-wat/neonavigation/issues/139>)
  * costmap_cspace: clear previous position on overlay map (#135 <https://github.com/at-wat/neonavigation/issues/135>)
  * Add integration demo (#133 <https://github.com/at-wat/neonavigation/issues/133>)
  * costmap_cspace: add unknown handler layer (#132 <https://github.com/at-wat/neonavigation/issues/132>)
  * costmap_cspace: memory access optimizations (#131 <https://github.com/at-wat/neonavigation/issues/131>)
  * costmap_cspace: keep overlay maps which arrived before base map (#124 <https://github.com/at-wat/neonavigation/issues/124>)
  * costmap_cspace: always store received overlay map (#109 <https://github.com/at-wat/neonavigation/issues/109>)
  * costmap_cspace: make static layers configurable (#108 <https://github.com/at-wat/neonavigation/issues/108>)
  * costmap_cspace: make costmap layer structure configurable (#106 <https://github.com/at-wat/neonavigation/issues/106>)
  * costmap_cspace: refactor CSpace3Cache class (#105 <https://github.com/at-wat/neonavigation/issues/105>)
  * costmap_cspace: add stacked costmap class (#104 <https://github.com/at-wat/neonavigation/issues/104>)
  * costmap_cspace: remove retval of setFootprint (#103 <https://github.com/at-wat/neonavigation/issues/103>)
  * costmap_cspace: move XML-polygon conversion into Polygon class (#102 <https://github.com/at-wat/neonavigation/issues/102>)
  * costmap cspace: add layer type check (#101 <https://github.com/at-wat/neonavigation/issues/101>)
  * costmap_cspace: refactor costmap layer classes (#100 <https://github.com/at-wat/neonavigation/issues/100>)
  * costmap_cspace: make costmap layers stackable (#99 <https://github.com/at-wat/neonavigation/issues/99>)
  * costmap_cspace: make cspace template customizable (#96 <https://github.com/at-wat/neonavigation/issues/96>)
  * costmap_cspace: hold CSpace3D object as shared_ptr (#95 <https://github.com/at-wat/neonavigation/issues/95>)
  * Suppress compile warnings and test with -Werror. (#82 <https://github.com/at-wat/neonavigation/issues/82>)
  * costmap_cspace: fix frame of z-filter in pointcloud2_to_map. (#80 <https://github.com/at-wat/neonavigation/issues/80>)
  * costmap_cspace: fix angular grid accessor before receiving the first map.
  * Add missing dep to xmlrpcpp. (#52 <https://github.com/at-wat/neonavigation/issues/52>)
  * Remove dummy dep to system_lib. (#51 <https://github.com/at-wat/neonavigation/issues/51>)
  * costmap_cspace: adds unit tests. (#48 <https://github.com/at-wat/neonavigation/issues/48>)
  * costmap_cspace: fixes memory access error on global map boundary. (#49 <https://github.com/at-wat/neonavigation/issues/49>)
  * costmap_cspace: refactors costmap_cspace package. (#47 <https://github.com/at-wat/neonavigation/issues/47>)
  * Support package install. (#45 <https://github.com/at-wat/neonavigation/issues/45>)
  * costmap_cspace: pointcloud2_to_map: adds singleshot data input (#41 <https://github.com/at-wat/neonavigation/issues/41>)
  * Fix coding styles. (#39 <https://github.com/at-wat/neonavigation/issues/39>)
  * costmap_cspace: add pointcloud2_to_map node. (#35 <https://github.com/at-wat/neonavigation/issues/35>)
  * costmap_cspace: laserscan_to_map: accumerate scans. (#34 <https://github.com/at-wat/neonavigation/issues/34>)
  * costmap_cspace: adds laserscan_to_map node. (#33 <https://github.com/at-wat/neonavigation/issues/33>)
  * adds READMEs (#11 <https://github.com/at-wat/neonavigation/issues/11>)
  * costmap_cspace, planner_cspace: fixes pkg dependencies
  * changes planner and costmap package names with a postfix _cspace
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Jul 2018 00:00:00 -0000


